import request from '@/utils/request'

// 查询工程坐标配置列表
export function listProjectCoordinateInfo(query) {
  return request({
    url: '/cons/projectCoordinateInfo/list',
    method: 'get',
    params: query
  })
}

// 查询工程坐标配置详细
export function getProjectCoordinateInfo(id) {
  return request({
    url: '/cons/projectCoordinateInfo/' + id,
    method: 'get'
  })
}

// 新增工程坐标配置
export function addProjectCoordinateInfo(data) {
  return request({
    url: '/cons/projectCoordinateInfo',
    method: 'post',
    data: data
  })
}

// 修改工程坐标配置
export function updateProjectCoordinateInfo(data) {
  return request({
    url: '/cons/projectCoordinateInfo',
    method: 'put',
    data: data
  })
}

// 删除工程坐标配置
export function delProjectCoordinateInfo(id) {
  return request({
    url: '/cons/projectCoordinateInfo/' + id,
    method: 'delete'
  })
}
